Skip to content


Flash player 12.x to 25.x for portable browsers (32 and 64 bits)

Skip to the download links if you’re too lazy to read or if you already know what you’re doing

Latest version for download here: 25.0.0.171 for Firefox and Chrome. Mirrors are available in article and/or in the latest comments. If this is out of date, don’t hesitate to bump me in comments, I don’t check for updates quite regularly.

Finally, about 2 years and a half after Flash 11, Adobe recently released Flash 12, and quite quickly later, Flash 13 to 16. I don’t think there’s anything major in this release, the previous version was 11.9.x and I guess they preferred 12.0.x rather than getting into 11.10.x and such. I have no idea about the changelog, although from previous experience on the 11.x branch, it’s probably mainly security and bug fixes. The Linux version was discontinued at version 11.2 (although they still update this one with security fixes, current version being 11.2.202.336, which you can grab there), so probably even Adobe see Flash’s end coming. Which will be a sad day for me too, because quite a few people land here thanks to it 😉 although much fewer lately because it seems Google hates me since last summer 🙁 (I guess I can say it now that the traffic coming from them shredded to the point it became almost negligible, so even if they bury me even more I shouldn’t feel much difference – for instance, yesterday’s traffic: Bing + Duckduckgo brought me half the traffic Google brought)

Anyway, the usual mentions:

1) If you’re planning to use this with Tor, you should also plan to say goodbye to IP anonymity (which I believe is the main reason for using Tor): Flash will connect without much regards for your Tor Browser proxy settings so it can leak your IP to someone willing to get it. Well, maybe there’s a way to make it safer, but seriously using browser plugins such as Java and Flash while trying to be anonymous is like trying to win a race while starting late on purpose.

2) To “install” it into your portable browser, grab the correct files (either 32 or 64 bits) and put it in the plugin folder (which you may need to create yourself), which is:

  • Firefox Portable: Data/plugins + set plugins.load_appdir_plugins to true in about:config
  • Opera USB:
    • new version (Chromium based): [Opera install dir]\[Version number]\plugins\ (thanks Marcelo.ar and Kooky Tommy in the comments)
    • old version (12x): program/plugins
  • Iron or Chrome Portable: Iron/plugins

NB: as of today (2016-01-23), those instructions are probably quite outdated. I haven’t actually used portable Flash in years, you may want to browse the comments to find up-to-date instructions.
I’m pretty sure Flashplayer.xpt is useless, but I include it because it’s tiny and some people do look for it.
Also, I haven’t actually used any portable browser in a loooong while, so if those instructions are outdated, don’t hesitate to let me know (let’s beat the record number of comments set around Flash player 11 ;)).
Edit: okay this section is totally outdated for Chrome-based browsers now…

3) Last but not least, this is not a magic portable Flash, this is just a repack of the original Flash stuff to make it easier to “install” manually on a device where you don’t have admin rights. So, Flash will, as usual, store the infamous LSO (Local Shared Objects) “cookies” in a system location (in %APPDATA%\Macromedia\Flash Player), and you’ll want to delete the stuff in there at the end of your session if you’re also concerned about not leaving tracks and not just about running Flash stuff.

Ok, now I shut up and here is the zip containing NPSWF32_25_0_0_171.dll, FlashPlayerPlugin_25_0_0_171.exe, NPSWF64_25_0_0_171.dll and flashplayer.xpt (the first 2 are the 32 bits version, the third is the 64 bits, and the last is here for, hm, decoration ^^) and now there is also, in the same package, the new Pepper Flash Player files for Chrome-based browsers (those “pepflashplayer” dlls). They are hosted primarily on Megabitload and Uploaded.to, which should keep a back up “indefinitely”, and on my server, where only the latest version is guaranteed to be maintained (the previous ones can usually be obtained with a trivial URL manipulation, but whenever I change hosting I drop the older versions, so no guarantee that this will always work). I will also try to upload them to demo2.ovh.net, because some people have reported issues (well, company filtering issues) connecting to the other 2 places, but they delete files after 30 days there, so obviously this will only be suitable for grabbing the latest release while it’s hot.

For developers, here is also the debug version 11.7.700.202 (yes, I don’t upload this one quite regularly because I guess not many people need it – if you do need a more recent debug version let me know).

Last but not least, courtesy from Kooky Tommy in the comments, some Flash ESR packages are available there via Dropbox

Older 20+ versions

Older 19.x versions

Older 18.x versions

Older 17.x versions

Older 16.x versions

Older 15.x versions

Older 14.x versions

Older 13.x versions

Older 12.x versions

Even older versions (<12)

Cf previous post, Flash player 11.9.900.170 for portable browsers (32 and 64 bits)

Original installers

Links to latest versions:
Firefox/Cyberfox and other NPAPI: http://fpdownload.macromedia.com/pub/flashplayer/latest/help/install_flash_player.exe
Chrome/Iron/Opera and other Pepper: http://fpdownload.macromedia.com/pub/flashplayer/latest/help/install_flash_player_ppapi.exe

Posted in Flash, portable software.


132 Responses

Stay in touch with the conversation, subscribe to the RSS feed for comments on this post.

  1. Kooky Tommy says

    V13.0.0.262 ESR is available.

  2. Kooky Tommy says

    V13.0.0.264 ESR is available.

  3. annone says

    thanks for Flash_16.0.0.296_portable_32-64_Fx.zip – 20 MB less for my.

    • David Dernoncourt says

      Yeah, it’s due to Adobe not releasing both versions at the same time but it’s indeed more convenient for users this way. Maybe I’ll make this a long term format, although it also means double maintenance when updated the links in the post.

  4. annone says

    • Flash 12.0.0.44 for portable browsers
    • Flash 12.0.0.43 for portable browsers
    • Flash 13.0.0.206 for portable browsers
    • Flash 14.0.0.125 for portable browsers

    were removed from uploaded.net (ul.to).

  5. dieter says

    flash 16.0.0.305 is now up to date…
    could you please update?
    thx

  6. Luigi says

    Fast download from patheticcockroach.com.
    Thanks David

  7. Dimedrol says

    Thanks a lot, David!

    I confirm this is working on portable SRWare Iron (Version 39.0.2100.0), Windows 8.0/64bit.

    Just extract file
    Flash_16.0.0.305_portable_32-64_Fx-Chrome.zip\pepflashplayer64_16_0_0_305.dll
    and copy to
    …IronPortable\Iron\plugins

    Create “plugins” directory, if needed.

  8. Kooky Tommy says

    V13.0.0.269 ESR is available.

    (Sorry for late! Only on weekdays at lunchtime I have the opportunity to update.)

  9. Grateful user says

    A thanks to Mr. Dernoncourt and all involved in releasing this portable plugin.

  10. williamwclee says

    Flash 17.0.0.134 is out
    Please update your post

  11. Kooky Tommy says

    V13.0.0.277 ESR is available.

  12. Dieter says

    New Version is: 17.0.0.169
    http://www.adobe.com/software/flash/about/

  13. william says

    17.0.0.169 is out.

  14. Kooky Tommy says

    V13.0.0.281 ESR is available.

  15. williamwclee says

    .188 is out.

    • David Dernoncourt says

      Thanks, but unfortunately it looks like the latest installers available for download (links at the end of the post) still haven’t been updated :/

      • williamwclee says

        how about this link?
        https://get.adobe.com/flashplayer/

      • williamwclee says

        oops, the link only goes to a small installer file.

      • David Dernoncourt says

        Yup, I was just about to reply that ^^
        Delays in installer updates are quite common, I suppose tomorrow at worst we’ll have the new versions

      • Kooky Tommy says

        New versions is available on Adobe site, except Pepper flash (PPAPI).

        I uploaded V13.0.0.289 ESR.

      • David Dernoncourt says

        Oh, right I forgot… (and somehow they are always late on the Pepper version :/)

      • David Dernoncourt says

        Well I just downloaded from the “latest offline installer” links right now: I still get the old version 🙁

      • Kooky Tommy says

        Sorry, my primary download site is the distribution page and I didn’t check other links (except PPAPI).
        My secondary download site:
        https://helpx.adobe.com/flash-player/kb/installation-problems-flash-player-windows.html#main-pars_text_4
        There are 3 links in “Still having problems?” section. I use this for the download of the Pepper version.

        Now, new Pepper versions is available on Adobe site.

  16. links says

    The direct links on the Macromedia server do seem to be for devices and systems that require a static URL (or have it hardcoded). On the other hand, the distribution site is usually updated faster (ESR is also there).

    Getting old versions might be due to heavy caching on either side, or usage of mirrors/CDN that are not all in sync (yet).

    Pepper seems to be elsewhere, entirely.

  17. Kooky Tommy says

    V13.0.0.292 ESR is available.

  18. links says

    18.0.0.194 is out.

    Links from my 2015-05-14 post still the same.

    • Kooky Tommy says

      V13.0.0.296 ESR is available.

  19. dieter says

    updatet to version 18.0.0.194

    Thanks for updating and your work!

  20. Kooky Tommy says

    New (18.0.0.203) version is downloadable from Adobe’s site. On distribution page it seems previous versions, but links are good.

  21. Kooky Tommy says

    V13.0.0.305 ESR is available.

    • marcelo.ar says

      Latest ESR is 13.0.0.309
      (www.adobe.com/products/flashplayer/distribution3.html)

      • Kooky Tommy says

        Thanks!

  22. links says

    Flash 18.0.0.209

    Links still work.

  23. nick says

    New flash version available.

  24. zperetz says

    18.0.0.209 is available

  25. Jungle says

    I’ve put files (x32) to Data\plugins,set
    plugins.load_appdir_plugins to true and
    plugin.scan.plid.all to false in about:config

    but they are not shown in About:addons

    P.S. Firefox Portable v39.0

    • David Dernoncourt says

      Ah strange, maybe they changed their settings _again_. Anyone else having the same issue?

    • Kooky Tommy says

      It should work.

      Copy files
      (FlashPlayerPlugin_18_0_0_209.exe & NPSWF32_18_0_0_209.dll)
      to
      Data\plugins\

      Leave the default settings (in about:config).
      plugins.load_appdir_plugins = false
      plugin.scan.plid.all = true

      More info:
      http://kb.mozillazine.org/Issues_related_to_plugins#Plugin_location

      • Jungle says

        1. It doesn’t work

        2. Info from the link above says:
        [*] Note: Starting in Firefox 21 the \plugins folder, if it exists (see bug 564987) is no longer scanned by default. If you have installed plugins in this location and wish to use them, either set the preference plugins.load_appdir_plugins to true in about:config or else move the “plugins” folder into the “browser” folder that’s located inside the installation directory.

        3. “move the “plugins” folder into the “browser” folder that’s located inside the installation directory” method works. But that folder is not in the Data folder.

  26. williamwclee says

    why not use google doc?
    much faster and easier to get the file (no frills)

    • David Dernoncourt says

      I don’t use Google. But anyway, isn’t one hoster + one direct link usually enough? I mean, I remember one person used to have issue with the direct link, but otherwise it should just work very fine, doesn’t it?

      Also, I remembered that I started archiving older versions to Livedrive, so that could make the third mirror is needed: http://diradgad.livedrive.com/item/d9df7960c9344f81841b68db58529728 (NB: the latest versions are still uploading, I’m on a bad connection ATM)

  27. Kooky Tommy says

    Sorry for late! V13.0.0.309 ESR is available.

  28. rkaycom says

    It appears that Firefox no longer recognizes the portable flash, any ideas?

    • krystian3w says

      I’ve heard that it’s only addons / extensions an unknown hand (* .xpi not signed) to be blocked.
      There was no mention specifically of the plugs, turn the folder “plugins” is still recognized by Firefox 40.0.2.

      If the problem can still be a few months use the version of Firefox 38 ESR.
      This version has support for a long period of time (~ 9 months).

      • rkaycom says

        Actually, I’ve done some more research into my issue specifically. The problems I was facing is that the flash on the computer system (work pc) and the portable flash are conflicting and causing browser hanging and in many cases not working at all. I don’t know what is causing the issue. problem was resolved by removing the portable flash and relying on the system version (which is slightly out of date). As the problem is resolved and the system flash isn’t that old (18.0.0.209), I’ll leave it and wait to see what happens. I am behind a pretty aggressive firewall/filter as well which often causes issues so it’s hard to track down problems. ty for your response anyways!

  29. Monika D. says

    Adobe Flash Player 19 version is available.

  30. Kooky Tommy says

    V18.0.000.252 ESR is available.

  31. Luigi says

    Please, Flash 19.0.0.207 is available.

  32. Weronika says

    You can add flash files “manifest.fingerprint” and “manifest.json” in version PAPPI?

    Manifest files for Flash PAPPI 19.0.0.226: http://speedy.sh/dvGaw/manifest-files-PAPPI-19.0.0.226.zip

  33. Kooky Tommy says

    V18.0.000.255 ESR is available.
    Sorry for late.

  34. DimonKP says

    mr. David Dernoncourt are You able to provide static link for latest version of flash?
    Let me explain my question:
    1. latest version is always in directory (for example) “*/flash”;
    2. if there any new version, than current version (which contained in this directory) moved to “/archive/version_*.*.*.*” and replaced by it (by new version);
    3. it will allow to provide basic automated update through .bat & wget bundle;
    4. You also can provide “auto visit” of current page for latest info & support.

    This approach probably would increase the number of visitors, which will result as increased support in maintaining of project.
    For example: creators of portable builds (of browser) probably will include your autoupdate script\plugin because:
    1. flash is still needed (games, some sites, low spec. hardware, etc);
    2. this would be the easiest way to provide automatically updated flash for nonadministrative users (including non portable browsers).

    Or alternative way: to make builds like unofficial plugin with auto update.
    Example: http://flashplay.no-ip.org/ But this is only for Mozilla-based browsers.

    If there any way\solution\ideas\possibility to make the same for chromium based browsers?

    P.S.: i made working bundle of opera portable (or any chromium base browser) & flash this way:
    1. grab portable build of any chromium based browser (or chromium by itself) on web;
    2. grab latest flash player from current (where this message posted) site;
    3. unpack 32 or 64 bit version of pepper flash into portable browser “/plugins” directory
    (or you can unpack it anywhere, I will explain later) and rename “pepflashplayer*.*.*.*.dll” file into clear “pepflashplayer.dll”, it would help in further updates;
    4. create shortcut for you browser (for browser.exe (in my case opera.exe), from *\app directory, not for launcher.exe) and add one command-line-flag: “–ppapi-flash-path=”*\plugins\pepflashplayer.dll” – folder where you unpacked flash.
    It should look like this:
    D:\TCPU\Programm\OperaChromium\Opera\opera.exe –ppapi-flash-path=”D:\TCPU\Programm\OperaChromium\Opera\plugins\pepflashplayer.dll”
    5. now launch from this shortcut. All should work (opera would say that version is
    99.999.999.999, but most sites will provide correct version of the plugin)
    6. when you`ll see new update on this site – just reproduce step 3, it should work.

    P.P.S.: i used instruction from here http://chromium.woolyss.com/
    Big thanks to author mr. Jerry for his instruction
    and great thanks to You, mr. David Dernoncourt, for provided custom builds of flash flayer for portable browsers, especially for chromium based.

    • David Dernoncourt says

      Hello,
      Hm, never thought of that kind of use. I guess I could also upload the whole package with a constant name then.
      Not sure many people would really use it though, I suppose not many scripters are used to working on computers where they don’t have admin rights. 😉 As for myself, it’s been it’s been about 5 years since the last time I needed to install Flash on a PC that I didn’t have complete control over.

  35. Mustafa Yılmaz says

    I did everything as you explained below for Opera32 portable.
    I saw flash plugin in Opera://plugins

    But when i want to open flash content in opera , I get this error “Couldn’t load plugin”

    Please help me.

    “1. grab portable build of any chromium based browser (or chromium by itself) on web;
    2. grab latest flash player from current (where this message posted) site;
    3. unpack 32 or 64 bit version of pepper flash into portable browser “/plugins” directory
    (or you can unpack it anywhere, I will explain later) and rename “pepflashplayer*.*.*.*.dll” file into clear “pepflashplayer.dll”, it would help in further updates;
    4. create shortcut for you browser (for browser.exe (in my case opera.exe), from *\app directory, not for launcher.exe) and add one command-line-flag: “–ppapi-flash-path=”*\plugins\pepflashplayer.dll” – folder where you unpacked flash.
    It should look like this:
    D:\TCPU\Programm\OperaChromium\Opera\opera.exe –ppapi-flash-path=”D:\TCPU\Programm\OperaChromium\Opera\plugins\pepflashplayer.dll”
    5. now launch from this shortcut. All should work (opera would say that version is
    99.999.999.999, but most sites will provide correct version of the plugin)”

  36. williamwclee says

    again, please use one drive or google doc for storage, thanks.
    we in asian countries could hardly reach those sites or it took damn long time.

  37. Time. says

    New Flash player 19.0.0.245 he was released.
    http://www.softpedia.com/blog/adobe-flash-player-19-0-0-245-now-available-for-download-495957.shtml
    http://www.neowin.net/forum/topic/1277980-adobe-flash-player-1900245/

    Could version of PAPPI (both 32 and 64 bit) add own files “manifest.json“?

  38. Dieter says

    19.0.0.245 is out now, could you please update?
    thx

  39. Visitor says

    Thanks again for the work you guys do. Take care.

  40. Kooky Tommy says

    V18.0.000.261 ESR is available.

  41. links says

    20.0.0.235 is available

  42. jm200 says

    Is there still a way to have Pepper Flash running in Iron Portable (let’s say version 46.0.2450.0) ?
    It has a few Iron Portable updates that I can’t have it work anymore in copying the dll file at “IronPortable\App\Iron\Plugins”…

    • David Dernoncourt says

      Sorry I don’t know, I keep updating this package but I don’t really ever use Flash anymore, particularly the portable version.

      • jm200 says

        ok thanks for answering. Maybe someone will later have a better idea…

  43. brennt says

    PepperFlash (64/32bit) is still v20.0.0.228 (not 20.0.0.235)

    • David Dernoncourt says

      Ow 🙁 Damn Adobe, they must have updated the file late and I didn’t check… Will post a new one then… Can’t wait till they actually discontinue it, it’s like they never add any features but still fix dozens of security issues every month 😮

      • David Dernoncourt says

        Hm, actually, even now the Pepper installer is still version 20.0.0.228… So I suppose 20.0.0.235 was Firefox-specific ?

  44. nick86 says

    .245 is out!

  45. Dirk Vdp says

    7z file is apparently damaged. I’ve tried the various download links, but none of them (presumably the same file) unpacks… Can you mend this? Tks.

    • David Dernoncourt says

      It’s LZMA2, do you use a recent enough version of 7-Zip ? I think you need 9.20 -ish. I compressed using 9.20, and I just downloaded and successfully tested both the one on uploaded.to and the one on img.patheticcockroach.com in 7-Zip 15.12

      • Dirk Vdp says

        Tks for your reaction. I just updated to 7-Zip 15.12 and I was able to unpack the file successfully.

        I’ve heard some people complaining about the fact that Windows doesn’t automatically treat 7z files as compressed files. Apparently ZIP files were somewhat easier to handle, without the need of extra software. Something to think about?

      • David Dernoncourt says

        Well, sure zip doesn’t require extra software but it’s also like 2 decades behind. 7-Zip is one of the first software I install when I set up a new computer (even before most drivers). But most importantly, 7-Zip (or 7-Zip capable compression software, like PeaZip) was installed on absolutely all the corporate computers I saw or used in the last 4-5 years. Corporate computers were the reason why I kept using Zip until now.

        In one portable Flash archive compressed in 7-Zip rather than Zip, you make up for about 4 times the disk space required for installing 7-Zip (if like me you remove the translations, 7-Zip uses less than 4MB). I’ve also had quite many comments from users annoyed by the poor compression algorithm and asking for 7-Zip. So IMO the main question isn’t whether or nor some people don’t like the extra step of installing a piece of software they don’t have but kind of should (and certainly won’t regret having), it would rather be does 7-Zip really prevent some users without admin privileges to unpack the archive (knowing that 7-Zip also exists in a portable version)

        That being said, LZMA2 certainly was a poor choice, it was due a to reuse of my usual configuration without much thinking. Next time I’ll make sure I use LZMA1, so as not to create issues for people with old 7-Zip versions.

  46. David Dernoncourt says

    Well it seems Adobe is going to take down the page I use to download the latest version of Flash, as mentioned on it: https://www.adobe.com/products/flashplayer/distribution3.html
    ” WARNING This page and the download links will be decommissioned on March 1st, 2016.
    If you are not an enterprise user, please visit get.adobe.com/flashplayer to download Adobe Flash Player for your system.”
    There’s no way in hell I’ll deal with the crappy download process and online installer provided on said page get.adobe.com/flashplayer, so this probably will mean the end of updates here 🙁 unless the direct links (http://fpdownload.macromedia.com/pub/flashplayer/latest/help/install_flash_player.exe and the other one) keep working. I believe it’s time to kill Flash anyway, even Adobe said so.

  47. Kooky Tommy says

    V18.0.000.324 ESR is available.
    I uploaded on Thursday, but forgot to post it.

  48. Skraluk says

    Hi, thanks for making this plugin.
    I use FF Portable 43.0.4 on a 64bit Computer, so FF 64Bit. Plugin Version is 20.0.0.267.
    when i copy the FF64 Bit Folder Contents to the plugin Folder and then proceed to start FF the plugin loads correctly and is listed in the Plugins Menu within FF. But when i exit FF an error Message is displayed (Translated from German):
    The Exception “Unkown Softwareerror” (0x06d007e) occured in the Application at the Place 0xfd2ab16d.

    When i then start FF the error shows up again and FF doesn’t load. I have to delete the plugin files and the pluginreg.dat in the profile folder to be able to start FF again.

    Any Idea what could cause this? Should i send you any log files?

    • David Dernoncourt says

      Hm that’s weird, are you having the issue with older versions too? (and with the “normal” non-portable Flash, if you are able to install it?)
      Also I think I read somewhere that pepper Flash can now be used with Fx, after some renaming, I’ll see if I can find the link: maybe this will work better than “vintage” NPPAPI.

      Also maybe a stupid question, but are you sure your Fx is 64 bits? I believed the 64 bits version wasn’t around yet (you know, delayed over and over again)

      • Skraluk says

        Sorry for the delayed answer.
        iam running FF64 bit because the exe in the Task Manager has no *32 annotation and a readme file of FirefoxPortable said that it would load 64Bit Firefox if Host is a 64Bit Windows.

        I’ve tested older versions and i get the same error. i downloaded a clean version of FFPortable and i don’t get the error so it seems to be a problem with my profile.
        i’ve installed the following Addons:
        Autofill Forms
        Browsizer
        Classic Theme Restorer
        Download Manager S3
        FireGestures
        Image Resizer/Scaler
        Nightly Tester Tools
        ResetSearchbar
        Stylish
        Tab Mix Plus
        Text Link
        uBlock Origin
        Xmarks

        and installed but deactivated
        Firebug
        Session Manager
        TagPathSelector
        View Source Chart

        any idea what i could do?

  49. Skraluk says

    *addition: i deleted all temporary internet files

    • Skraluk says

      *update: i “fixed” the problem with reinstalling firefox portable. still don’t know where the error was.

      • David Dernoncourt says

        Well I guess it’s not uncommon for a Firefox profile to become messed up. Mine could do with a purge too, but I just have so much history+bookmarks that I don’t want to throw away… :s

1 2 3 4



Some HTML is OK

or, reply to this post via trackback.

Please solve the CAPTCHA below in order to fight spamWordPress CAPTCHA